;dump the memory contents of $F800-FFFF (possible system ROM area on C1P)
;via serial port (& screen)

*=$0300
 .EXE * ;emit a65 loader start addr
 LDA #$00
 STA $FE
 LDA #$F8
 STA $FF	;start address lo & hi
 LDY #$00
 LDX #$08	;number of pages to dump
LOOP
 LDA ($FE),Y
 LSR A
 LSR A
 LSR A
 LSR A
 JSR HEXOUT
 LDA ($FE),Y
 JSR HEXOUT
 LDA #$20
 JSR OUT
 TYA
 AND #$07
 CMP #$07
 BNE NOLINE
 LDA #$0D
 JSR OUT
 LDA #$0A
 JSR OUT
NOLINE 
 INY
 BNE LOOP
 INC $FF
 DEX
 BNE LOOP
 JMP ($FEFC)	;jump to ROM monitor
 
HEXOUT
 AND #$0F
 ORA #$30
 CMP #$3A
 BCC *+4
 ADC #$06
 
OUT
 PHA
 JSR $BF2D		;BASIC Screen Print (if BASIC available)
WAIT
 LDA $F000		;C1P/Superboard  ACIA $FC00 for C2/C4
 LSR A
 LSR A
 BCC WAIT
 PLA
 STA $F001
 RTS
 